library Judgement;

{ Important note about DLL memory management: ShareMem must be the
  first unit in your library's USES clause AND your project's (select
  Project-View Source) USES clause if your DLL exports any procedures or
  functions that pass strings as parameters or function results. This
  applies to all strings passed to and from your DLL--even those that
  are nested in records and classes. ShareMem is the interface unit to
  the BORLNDMM.DLL shared memory manager, which must be deployed along
  with your DLL. To avoid using BORLNDMM.DLL, pass string information
  using PChar or ShortString parameters. }

uses
  SysUtils;

{$R *.res}

var
  PWM: Word;

procedure Judge(Speed: Word;
                SensorData: PChar; SensorCount: Word;
                CCDData: PChar; CCDWidth: Integer; CCDHeight: Integer;
                MotorPWM: PWord; SteerPWM: PWord); stdcall;
begin
  MotorPWM^:= PWM;
  SteerPWM^:= Round(0.3 * 65535);
end;

procedure Reset();
begin
  PWM:= 6554;
end;

exports
  Judge,
  Reset;

begin
end.
